summaryrefslogtreecommitdiffstats
path: root/source/a/mcelog
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/mcelog')
-rw-r--r--source/a/mcelog/0001-mcelog-Change-name-of-skylake-interconnect-from-QPI-.patch60
-rwxr-xr-xsource/a/mcelog/mcelog.SlackBuild22
-rw-r--r--source/a/mcelog/mcelog.init.diff2
-rw-r--r--source/a/mcelog/slack-desc14
4 files changed, 84 insertions, 14 deletions
diff --git a/source/a/mcelog/0001-mcelog-Change-name-of-skylake-interconnect-from-QPI-.patch b/source/a/mcelog/0001-mcelog-Change-name-of-skylake-interconnect-from-QPI-.patch
new file mode 100644
index 000000000..488290834
--- /dev/null
+++ b/source/a/mcelog/0001-mcelog-Change-name-of-skylake-interconnect-from-QPI-.patch
@@ -0,0 +1,60 @@
+From 34f03e306c36487a3720ae96b8ed5fbaa5256b5f Mon Sep 17 00:00:00 2001
+From: Tony Luck <tony.luck@intel.com>
+Date: Tue, 25 Jul 2017 14:45:52 -0700
+Subject: [PATCH] mcelog: Change name of skylake interconnect from QPI to UPI
+
+Skylake interconnect is actually called "UPI" (Ultra Path Interconnect)
+
+Signed-off-by: Tony Luck <tony.luck@intel.com>
+Signed-off-by: Andi Kleen <ak@linux.intel.com>
+---
+ skylake_xeon.c | 14 +++++++-------
+ 1 file changed, 7 insertions(+), 7 deletions(-)
+
+diff --git a/skylake_xeon.c b/skylake_xeon.c
+index fd71b98..16c6181 100644
+--- a/skylake_xeon.c
++++ b/skylake_xeon.c
+@@ -79,7 +79,7 @@ static struct field pcu_mc4[] = {
+
+ /* See IA32 SDM Vol3B Table 16-28 */
+
+-static char *qpi[] = {
++static char *upi[] = {
+ [0x00] = "UC Phy Initialization Failure",
+ [0x01] = "UC Phy detected drift buffer alarm",
+ [0x02] = "UC Phy detected latency buffer rollover",
+@@ -98,13 +98,13 @@ static char *qpi[] = {
+ [0x31] = "COR LL Rx detected CRC error - successful LLR with Phy Reinit",
+ };
+
+-static struct field qpi_mc[] = {
+- FIELD(16, qpi),
++static struct field upi_mc[] = {
++ FIELD(16, upi),
+ {}
+ };
+
+ /* These apply to MSCOD 0x12 "UC LL or Phy control error" */
+-static struct field qpi_0x12[] = {
++static struct field upi_0x12[] = {
+ SBITFIELD(22, "Phy Control Error"),
+ SBITFIELD(23, "Unexpected Retry.Ack flit"),
+ SBITFIELD(24, "Unexpected Retry.Req flit"),
+@@ -194,10 +194,10 @@ void skylake_s_decode_model(int cputype, int bank, u64 status, u64 misc)
+ case 5:
+ case 12:
+ case 19:
+- Wprintf("QPI: ");
+- decode_bitfield(status, qpi_mc);
++ Wprintf("UPI: ");
++ decode_bitfield(status, upi_mc);
+ if (EXTRACT(status, 16, 21) == 0x12)
+- decode_bitfield(status, qpi_0x12);
++ decode_bitfield(status, upi_0x12);
+ break;
+ case 7: case 8:
+ Wprintf("M2M: ");
+--
+2.14.1
+
diff --git a/source/a/mcelog/mcelog.SlackBuild b/source/a/mcelog/mcelog.SlackBuild
index 1f5e1d7b8..54e992f49 100755
--- a/source/a/mcelog/mcelog.SlackBuild
+++ b/source/a/mcelog/mcelog.SlackBuild
@@ -1,7 +1,6 @@
+#!/bin/bash
-#!/bin/sh
-
-# Copyright 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2010, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,10 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mcelog
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -36,9 +36,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -59,11 +66,14 @@ find . \
zcat $CWD/mcelog.init.diff.gz | patch -p1 --verbose || exit 1
+# Include a commit from upstream git
+zcat $CWD/0001-mcelog-Change-name-of-skylake-interconnect-from-QPI-.patch.gz | patch -p1 --verbose || exit 1
+
make $NUMJOBS DOCDIR=/usr/doc/mcelog-$VERSION MANDIR=/usr/man \
|| make DOCDIR=/usr/doc/mcelog-$VERSION MANDIR=/usr/man \
|| exit 1
-make install DOCDIR=/usr/doc/mcelog-$VERSION MANDIR=/usr/man DESTDIR=$PKG
+make install DOCDIR=/usr/doc/mcelog-$VERSION MANDIR=/usr/man DESTDIR=$PKG || exit 1
mv $PKG/etc/mcelog/mcelog.conf $PKG/etc/mcelog/mcelog.conf.new
rm -f $PKG/etc/mcelog/*~
diff --git a/source/a/mcelog/mcelog.init.diff b/source/a/mcelog/mcelog.init.diff
index cc2eee96b..db69d3da6 100644
--- a/source/a/mcelog/mcelog.init.diff
+++ b/source/a/mcelog/mcelog.init.diff
@@ -50,7 +50,7 @@
- echo "Checking for mcelog"
- checkproc $MCELOG
+ echo "Checking for mcelog:"
-+ ps ax | grep $MCELOG | cut -f 1 -d ' '
++ ps ax | grep -v grep | grep $MCELOG | cut -f 1 -d ' '
fi
;;
*)
diff --git a/source/a/mcelog/slack-desc b/source/a/mcelog/slack-desc
index 0948e2687..2c4624f56 100644
--- a/source/a/mcelog/slack-desc
+++ b/source/a/mcelog/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
mcelog: mcelog (Machine Check Event logger)
mcelog:
mcelog: mcelog is the user space backend for logging machine check errors
-mcelog: reported by the hardware to the kernel. The kernel does the immediate
+mcelog: reported by the hardware to the kernel. The kernel does the immediate
mcelog: actions (like killing processes etc.) and mcelog decodes the logs the
-mcelog: errors. It primarily handles machine checks and thermal events, which
-mcelog: are reported for errors detected by the CPU. It is recommended that
+mcelog: errors. It primarily handles machine checks and thermal events, which
+mcelog: are reported for errors detected by the CPU. It is recommended that
mcelog: mcelog runs on all x86 machines, both 64-bit and 32bit.
mcelog:
-mcelog: mcelog home: ftp://ftp.kernel.org:/pub/linux/utils/cpu/mce
+mcelog: mcelog home: ftp://ftp.kernel.org:/pub/linux/utils/cpu/mce
mcelog: